Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network249.112.0.0/12
Usable hosts1,048,574
Subnet mask255.240.0.0
Addresses1,048,576
Network address
249.112.0.0
Broadcast address
249.127.255.255
First usable
249.112.0.1
Last usable
249.127.255.254
Usable hosts
1,048,574 (1,048,576 less the network and broadcast addresses)
Subnet mask
255.240.0.0
Wildcard mask
0.15.255.255 (Cisco ACLs, OSPF)
Prefix length
/12
Type
Reserved 240.0.0.0/4
Future use; not usable on most systems
Old class
E (reserved)
As numbers
Hex F9700000 · Integer 4184866816 to 4185915391
Reverse DNS zones
112.249.in-addr.arpa
113.249.in-addr.arpa
114.249.in-addr.arpa
115.249.in-addr.arpa
116.249.in-addr.arpa
117.249.in-addr.arpa
118.249.in-addr.arpa
119.249.in-addr.arpa
120.249.in-addr.arpa
121.249.in-addr.arpa
122.249.in-addr.arpa
123.249.in-addr.arpa
124.249.in-addr.arpa
125.249.in-addr.arpa
126.249.in-addr.arpa
127.249.in-addr.arpa
/12 is not on a 8-bit boundary, so it takes 16 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address11111001.01110000.00000000.00000000249.112.0.0
Subnet mask11111111.11110000.00000000.00000000255.240.0.0
Network11111001.01110000.00000000.00000000249.112.0.0
Broadcast11111001.01111111.11111111.11111111249.127.255.255
Split into smaller subnets/20

249.112.0.0/12 makes 256 subnets of /20.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1249.112.0.0/20249.112.0.1 to 249.112.15.254249.112.15.2554,094
2249.112.16.0/20249.112.16.1 to 249.112.31.254249.112.31.2554,094
3249.112.32.0/20249.112.32.1 to 249.112.47.254249.112.47.2554,094
4249.112.48.0/20249.112.48.1 to 249.112.63.254249.112.63.2554,094
5249.112.64.0/20249.112.64.1 to 249.112.79.254249.112.79.2554,094
6249.112.80.0/20249.112.80.1 to 249.112.95.254249.112.95.2554,094
7249.112.96.0/20249.112.96.1 to 249.112.111.254249.112.111.2554,094
8249.112.112.0/20249.112.112.1 to 249.112.127.254249.112.127.2554,094
9249.112.128.0/20249.112.128.1 to 249.112.143.254249.112.143.2554,094
10249.112.144.0/20249.112.144.1 to 249.112.159.254249.112.159.2554,094
11249.112.160.0/20249.112.160.1 to 249.112.175.254249.112.175.2554,094
12249.112.176.0/20249.112.176.1 to 249.112.191.254249.112.191.2554,094
13249.112.192.0/20249.112.192.1 to 249.112.207.254249.112.207.2554,094
14249.112.208.0/20249.112.208.1 to 249.112.223.254249.112.223.2554,094
15249.112.224.0/20249.112.224.1 to 249.112.239.254249.112.239.2554,094
16249.112.240.0/20249.112.240.1 to 249.112.255.254249.112.255.2554,094
17249.113.0.0/20249.113.0.1 to 249.113.15.254249.113.15.2554,094
18249.113.16.0/20249.113.16.1 to 249.113.31.254249.113.31.2554,094
19249.113.32.0/20249.113.32.1 to 249.113.47.254249.113.47.2554,094
20249.113.48.0/20249.113.48.1 to 249.113.63.254249.113.63.2554,094
21249.113.64.0/20249.113.64.1 to 249.113.79.254249.113.79.2554,094
22249.113.80.0/20249.113.80.1 to 249.113.95.254249.113.95.2554,094
23249.113.96.0/20249.113.96.1 to 249.113.111.254249.113.111.2554,094
24249.113.112.0/20249.113.112.1 to 249.113.127.254249.113.127.2554,094
25249.113.128.0/20249.113.128.1 to 249.113.143.254249.113.143.2554,094
26249.113.144.0/20249.113.144.1 to 249.113.159.254249.113.159.2554,094
27249.113.160.0/20249.113.160.1 to 249.113.175.254249.113.175.2554,094
28249.113.176.0/20249.113.176.1 to 249.113.191.254249.113.191.2554,094
29249.113.192.0/20249.113.192.1 to 249.113.207.254249.113.207.2554,094
30249.113.208.0/20249.113.208.1 to 249.113.223.254249.113.223.2554,094
31249.113.224.0/20249.113.224.1 to 249.113.239.254249.113.239.2554,094
32249.113.240.0/20249.113.240.1 to 249.113.255.254249.113.255.2554,094
33249.114.0.0/20249.114.0.1 to 249.114.15.254249.114.15.2554,094
34249.114.16.0/20249.114.16.1 to 249.114.31.254249.114.31.2554,094
35249.114.32.0/20249.114.32.1 to 249.114.47.254249.114.47.2554,094
36249.114.48.0/20249.114.48.1 to 249.114.63.254249.114.63.2554,094
37249.114.64.0/20249.114.64.1 to 249.114.79.254249.114.79.2554,094
38249.114.80.0/20249.114.80.1 to 249.114.95.254249.114.95.2554,094
39249.114.96.0/20249.114.96.1 to 249.114.111.254249.114.111.2554,094
40249.114.112.0/20249.114.112.1 to 249.114.127.254249.114.127.2554,094
41249.114.128.0/20249.114.128.1 to 249.114.143.254249.114.143.2554,094
42249.114.144.0/20249.114.144.1 to 249.114.159.254249.114.159.2554,094
43249.114.160.0/20249.114.160.1 to 249.114.175.254249.114.175.2554,094
44249.114.176.0/20249.114.176.1 to 249.114.191.254249.114.191.2554,094
45249.114.192.0/20249.114.192.1 to 249.114.207.254249.114.207.2554,094
46249.114.208.0/20249.114.208.1 to 249.114.223.254249.114.223.2554,094
47249.114.224.0/20249.114.224.1 to 249.114.239.254249.114.239.2554,094
48249.114.240.0/20249.114.240.1 to 249.114.255.254249.114.255.2554,094
49249.115.0.0/20249.115.0.1 to 249.115.15.254249.115.15.2554,094
50249.115.16.0/20249.115.16.1 to 249.115.31.254249.115.31.2554,094
51249.115.32.0/20249.115.32.1 to 249.115.47.254249.115.47.2554,094
52249.115.48.0/20249.115.48.1 to 249.115.63.254249.115.63.2554,094
53249.115.64.0/20249.115.64.1 to 249.115.79.254249.115.79.2554,094
54249.115.80.0/20249.115.80.1 to 249.115.95.254249.115.95.2554,094
55249.115.96.0/20249.115.96.1 to 249.115.111.254249.115.111.2554,094
56249.115.112.0/20249.115.112.1 to 249.115.127.254249.115.127.2554,094
57249.115.128.0/20249.115.128.1 to 249.115.143.254249.115.143.2554,094
58249.115.144.0/20249.115.144.1 to 249.115.159.254249.115.159.2554,094
59249.115.160.0/20249.115.160.1 to 249.115.175.254249.115.175.2554,094
60249.115.176.0/20249.115.176.1 to 249.115.191.254249.115.191.2554,094
61249.115.192.0/20249.115.192.1 to 249.115.207.254249.115.207.2554,094
62249.115.208.0/20249.115.208.1 to 249.115.223.254249.115.223.2554,094
63249.115.224.0/20249.115.224.1 to 249.115.239.254249.115.239.2554,094
64249.115.240.0/20249.115.240.1 to 249.115.255.254249.115.255.2554,094
65249.116.0.0/20249.116.0.1 to 249.116.15.254249.116.15.2554,094
66249.116.16.0/20249.116.16.1 to 249.116.31.254249.116.31.2554,094
67249.116.32.0/20249.116.32.1 to 249.116.47.254249.116.47.2554,094
68249.116.48.0/20249.116.48.1 to 249.116.63.254249.116.63.2554,094
69249.116.64.0/20249.116.64.1 to 249.116.79.254249.116.79.2554,094
70249.116.80.0/20249.116.80.1 to 249.116.95.254249.116.95.2554,094
71249.116.96.0/20249.116.96.1 to 249.116.111.254249.116.111.2554,094
72249.116.112.0/20249.116.112.1 to 249.116.127.254249.116.127.2554,094
73249.116.128.0/20249.116.128.1 to 249.116.143.254249.116.143.2554,094
74249.116.144.0/20249.116.144.1 to 249.116.159.254249.116.159.2554,094
75249.116.160.0/20249.116.160.1 to 249.116.175.254249.116.175.2554,094
76249.116.176.0/20249.116.176.1 to 249.116.191.254249.116.191.2554,094
77249.116.192.0/20249.116.192.1 to 249.116.207.254249.116.207.2554,094
78249.116.208.0/20249.116.208.1 to 249.116.223.254249.116.223.2554,094
79249.116.224.0/20249.116.224.1 to 249.116.239.254249.116.239.2554,094
80249.116.240.0/20249.116.240.1 to 249.116.255.254249.116.255.2554,094
81249.117.0.0/20249.117.0.1 to 249.117.15.254249.117.15.2554,094
82249.117.16.0/20249.117.16.1 to 249.117.31.254249.117.31.2554,094
83249.117.32.0/20249.117.32.1 to 249.117.47.254249.117.47.2554,094
84249.117.48.0/20249.117.48.1 to 249.117.63.254249.117.63.2554,094
85249.117.64.0/20249.117.64.1 to 249.117.79.254249.117.79.2554,094
86249.117.80.0/20249.117.80.1 to 249.117.95.254249.117.95.2554,094
87249.117.96.0/20249.117.96.1 to 249.117.111.254249.117.111.2554,094
88249.117.112.0/20249.117.112.1 to 249.117.127.254249.117.127.2554,094
89249.117.128.0/20249.117.128.1 to 249.117.143.254249.117.143.2554,094
90249.117.144.0/20249.117.144.1 to 249.117.159.254249.117.159.2554,094
91249.117.160.0/20249.117.160.1 to 249.117.175.254249.117.175.2554,094
92249.117.176.0/20249.117.176.1 to 249.117.191.254249.117.191.2554,094
93249.117.192.0/20249.117.192.1 to 249.117.207.254249.117.207.2554,094
94249.117.208.0/20249.117.208.1 to 249.117.223.254249.117.223.2554,094
95249.117.224.0/20249.117.224.1 to 249.117.239.254249.117.239.2554,094
96249.117.240.0/20249.117.240.1 to 249.117.255.254249.117.255.2554,094
97249.118.0.0/20249.118.0.1 to 249.118.15.254249.118.15.2554,094
98249.118.16.0/20249.118.16.1 to 249.118.31.254249.118.31.2554,094
99249.118.32.0/20249.118.32.1 to 249.118.47.254249.118.47.2554,094
100249.118.48.0/20249.118.48.1 to 249.118.63.254249.118.63.2554,094
101249.118.64.0/20249.118.64.1 to 249.118.79.254249.118.79.2554,094
102249.118.80.0/20249.118.80.1 to 249.118.95.254249.118.95.2554,094
103249.118.96.0/20249.118.96.1 to 249.118.111.254249.118.111.2554,094
104249.118.112.0/20249.118.112.1 to 249.118.127.254249.118.127.2554,094
105249.118.128.0/20249.118.128.1 to 249.118.143.254249.118.143.2554,094
106249.118.144.0/20249.118.144.1 to 249.118.159.254249.118.159.2554,094
107249.118.160.0/20249.118.160.1 to 249.118.175.254249.118.175.2554,094
108249.118.176.0/20249.118.176.1 to 249.118.191.254249.118.191.2554,094
109249.118.192.0/20249.118.192.1 to 249.118.207.254249.118.207.2554,094
110249.118.208.0/20249.118.208.1 to 249.118.223.254249.118.223.2554,094
111249.118.224.0/20249.118.224.1 to 249.118.239.254249.118.239.2554,094
112249.118.240.0/20249.118.240.1 to 249.118.255.254249.118.255.2554,094
113249.119.0.0/20249.119.0.1 to 249.119.15.254249.119.15.2554,094
114249.119.16.0/20249.119.16.1 to 249.119.31.254249.119.31.2554,094
115249.119.32.0/20249.119.32.1 to 249.119.47.254249.119.47.2554,094
116249.119.48.0/20249.119.48.1 to 249.119.63.254249.119.63.2554,094
117249.119.64.0/20249.119.64.1 to 249.119.79.254249.119.79.2554,094
118249.119.80.0/20249.119.80.1 to 249.119.95.254249.119.95.2554,094
119249.119.96.0/20249.119.96.1 to 249.119.111.254249.119.111.2554,094
120249.119.112.0/20249.119.112.1 to 249.119.127.254249.119.127.2554,094
121249.119.128.0/20249.119.128.1 to 249.119.143.254249.119.143.2554,094
122249.119.144.0/20249.119.144.1 to 249.119.159.254249.119.159.2554,094
123249.119.160.0/20249.119.160.1 to 249.119.175.254249.119.175.2554,094
124249.119.176.0/20249.119.176.1 to 249.119.191.254249.119.191.2554,094
125249.119.192.0/20249.119.192.1 to 249.119.207.254249.119.207.2554,094
126249.119.208.0/20249.119.208.1 to 249.119.223.254249.119.223.2554,094
127249.119.224.0/20249.119.224.1 to 249.119.239.254249.119.239.2554,094
128249.119.240.0/20249.119.240.1 to 249.119.255.254249.119.255.2554,094
129249.120.0.0/20249.120.0.1 to 249.120.15.254249.120.15.2554,094
130249.120.16.0/20249.120.16.1 to 249.120.31.254249.120.31.2554,094
131249.120.32.0/20249.120.32.1 to 249.120.47.254249.120.47.2554,094
132249.120.48.0/20249.120.48.1 to 249.120.63.254249.120.63.2554,094
133249.120.64.0/20249.120.64.1 to 249.120.79.254249.120.79.2554,094
134249.120.80.0/20249.120.80.1 to 249.120.95.254249.120.95.2554,094
135249.120.96.0/20249.120.96.1 to 249.120.111.254249.120.111.2554,094
136249.120.112.0/20249.120.112.1 to 249.120.127.254249.120.127.2554,094
137249.120.128.0/20249.120.128.1 to 249.120.143.254249.120.143.2554,094
138249.120.144.0/20249.120.144.1 to 249.120.159.254249.120.159.2554,094
139249.120.160.0/20249.120.160.1 to 249.120.175.254249.120.175.2554,094
140249.120.176.0/20249.120.176.1 to 249.120.191.254249.120.191.2554,094
141249.120.192.0/20249.120.192.1 to 249.120.207.254249.120.207.2554,094
142249.120.208.0/20249.120.208.1 to 249.120.223.254249.120.223.2554,094
143249.120.224.0/20249.120.224.1 to 249.120.239.254249.120.239.2554,094
144249.120.240.0/20249.120.240.1 to 249.120.255.254249.120.255.2554,094
145249.121.0.0/20249.121.0.1 to 249.121.15.254249.121.15.2554,094
146249.121.16.0/20249.121.16.1 to 249.121.31.254249.121.31.2554,094
147249.121.32.0/20249.121.32.1 to 249.121.47.254249.121.47.2554,094
148249.121.48.0/20249.121.48.1 to 249.121.63.254249.121.63.2554,094
149249.121.64.0/20249.121.64.1 to 249.121.79.254249.121.79.2554,094
150249.121.80.0/20249.121.80.1 to 249.121.95.254249.121.95.2554,094
151249.121.96.0/20249.121.96.1 to 249.121.111.254249.121.111.2554,094
152249.121.112.0/20249.121.112.1 to 249.121.127.254249.121.127.2554,094
153249.121.128.0/20249.121.128.1 to 249.121.143.254249.121.143.2554,094
154249.121.144.0/20249.121.144.1 to 249.121.159.254249.121.159.2554,094
155249.121.160.0/20249.121.160.1 to 249.121.175.254249.121.175.2554,094
156249.121.176.0/20249.121.176.1 to 249.121.191.254249.121.191.2554,094
157249.121.192.0/20249.121.192.1 to 249.121.207.254249.121.207.2554,094
158249.121.208.0/20249.121.208.1 to 249.121.223.254249.121.223.2554,094
159249.121.224.0/20249.121.224.1 to 249.121.239.254249.121.239.2554,094
160249.121.240.0/20249.121.240.1 to 249.121.255.254249.121.255.2554,094
161249.122.0.0/20249.122.0.1 to 249.122.15.254249.122.15.2554,094
162249.122.16.0/20249.122.16.1 to 249.122.31.254249.122.31.2554,094
163249.122.32.0/20249.122.32.1 to 249.122.47.254249.122.47.2554,094
164249.122.48.0/20249.122.48.1 to 249.122.63.254249.122.63.2554,094
165249.122.64.0/20249.122.64.1 to 249.122.79.254249.122.79.2554,094
166249.122.80.0/20249.122.80.1 to 249.122.95.254249.122.95.2554,094
167249.122.96.0/20249.122.96.1 to 249.122.111.254249.122.111.2554,094
168249.122.112.0/20249.122.112.1 to 249.122.127.254249.122.127.2554,094
169249.122.128.0/20249.122.128.1 to 249.122.143.254249.122.143.2554,094
170249.122.144.0/20249.122.144.1 to 249.122.159.254249.122.159.2554,094
171249.122.160.0/20249.122.160.1 to 249.122.175.254249.122.175.2554,094
172249.122.176.0/20249.122.176.1 to 249.122.191.254249.122.191.2554,094
173249.122.192.0/20249.122.192.1 to 249.122.207.254249.122.207.2554,094
174249.122.208.0/20249.122.208.1 to 249.122.223.254249.122.223.2554,094
175249.122.224.0/20249.122.224.1 to 249.122.239.254249.122.239.2554,094
176249.122.240.0/20249.122.240.1 to 249.122.255.254249.122.255.2554,094
177249.123.0.0/20249.123.0.1 to 249.123.15.254249.123.15.2554,094
178249.123.16.0/20249.123.16.1 to 249.123.31.254249.123.31.2554,094
179249.123.32.0/20249.123.32.1 to 249.123.47.254249.123.47.2554,094
180249.123.48.0/20249.123.48.1 to 249.123.63.254249.123.63.2554,094
181249.123.64.0/20249.123.64.1 to 249.123.79.254249.123.79.2554,094
182249.123.80.0/20249.123.80.1 to 249.123.95.254249.123.95.2554,094
183249.123.96.0/20249.123.96.1 to 249.123.111.254249.123.111.2554,094
184249.123.112.0/20249.123.112.1 to 249.123.127.254249.123.127.2554,094
185249.123.128.0/20249.123.128.1 to 249.123.143.254249.123.143.2554,094
186249.123.144.0/20249.123.144.1 to 249.123.159.254249.123.159.2554,094
187249.123.160.0/20249.123.160.1 to 249.123.175.254249.123.175.2554,094
188249.123.176.0/20249.123.176.1 to 249.123.191.254249.123.191.2554,094
189249.123.192.0/20249.123.192.1 to 249.123.207.254249.123.207.2554,094
190249.123.208.0/20249.123.208.1 to 249.123.223.254249.123.223.2554,094
191249.123.224.0/20249.123.224.1 to 249.123.239.254249.123.239.2554,094
192249.123.240.0/20249.123.240.1 to 249.123.255.254249.123.255.2554,094
193249.124.0.0/20249.124.0.1 to 249.124.15.254249.124.15.2554,094
194249.124.16.0/20249.124.16.1 to 249.124.31.254249.124.31.2554,094
195249.124.32.0/20249.124.32.1 to 249.124.47.254249.124.47.2554,094
196249.124.48.0/20249.124.48.1 to 249.124.63.254249.124.63.2554,094
197249.124.64.0/20249.124.64.1 to 249.124.79.254249.124.79.2554,094
198249.124.80.0/20249.124.80.1 to 249.124.95.254249.124.95.2554,094
199249.124.96.0/20249.124.96.1 to 249.124.111.254249.124.111.2554,094
200249.124.112.0/20249.124.112.1 to 249.124.127.254249.124.127.2554,094
201249.124.128.0/20249.124.128.1 to 249.124.143.254249.124.143.2554,094
202249.124.144.0/20249.124.144.1 to 249.124.159.254249.124.159.2554,094
203249.124.160.0/20249.124.160.1 to 249.124.175.254249.124.175.2554,094
204249.124.176.0/20249.124.176.1 to 249.124.191.254249.124.191.2554,094
205249.124.192.0/20249.124.192.1 to 249.124.207.254249.124.207.2554,094
206249.124.208.0/20249.124.208.1 to 249.124.223.254249.124.223.2554,094
207249.124.224.0/20249.124.224.1 to 249.124.239.254249.124.239.2554,094
208249.124.240.0/20249.124.240.1 to 249.124.255.254249.124.255.2554,094
209249.125.0.0/20249.125.0.1 to 249.125.15.254249.125.15.2554,094
210249.125.16.0/20249.125.16.1 to 249.125.31.254249.125.31.2554,094
211249.125.32.0/20249.125.32.1 to 249.125.47.254249.125.47.2554,094
212249.125.48.0/20249.125.48.1 to 249.125.63.254249.125.63.2554,094
213249.125.64.0/20249.125.64.1 to 249.125.79.254249.125.79.2554,094
214249.125.80.0/20249.125.80.1 to 249.125.95.254249.125.95.2554,094
215249.125.96.0/20249.125.96.1 to 249.125.111.254249.125.111.2554,094
216249.125.112.0/20249.125.112.1 to 249.125.127.254249.125.127.2554,094
217249.125.128.0/20249.125.128.1 to 249.125.143.254249.125.143.2554,094
218249.125.144.0/20249.125.144.1 to 249.125.159.254249.125.159.2554,094
219249.125.160.0/20249.125.160.1 to 249.125.175.254249.125.175.2554,094
220249.125.176.0/20249.125.176.1 to 249.125.191.254249.125.191.2554,094
221249.125.192.0/20249.125.192.1 to 249.125.207.254249.125.207.2554,094
222249.125.208.0/20249.125.208.1 to 249.125.223.254249.125.223.2554,094
223249.125.224.0/20249.125.224.1 to 249.125.239.254249.125.239.2554,094
224249.125.240.0/20249.125.240.1 to 249.125.255.254249.125.255.2554,094
225249.126.0.0/20249.126.0.1 to 249.126.15.254249.126.15.2554,094
226249.126.16.0/20249.126.16.1 to 249.126.31.254249.126.31.2554,094
227249.126.32.0/20249.126.32.1 to 249.126.47.254249.126.47.2554,094
228249.126.48.0/20249.126.48.1 to 249.126.63.254249.126.63.2554,094
229249.126.64.0/20249.126.64.1 to 249.126.79.254249.126.79.2554,094
230249.126.80.0/20249.126.80.1 to 249.126.95.254249.126.95.2554,094
231249.126.96.0/20249.126.96.1 to 249.126.111.254249.126.111.2554,094
232249.126.112.0/20249.126.112.1 to 249.126.127.254249.126.127.2554,094
233249.126.128.0/20249.126.128.1 to 249.126.143.254249.126.143.2554,094
234249.126.144.0/20249.126.144.1 to 249.126.159.254249.126.159.2554,094
235249.126.160.0/20249.126.160.1 to 249.126.175.254249.126.175.2554,094
236249.126.176.0/20249.126.176.1 to 249.126.191.254249.126.191.2554,094
237249.126.192.0/20249.126.192.1 to 249.126.207.254249.126.207.2554,094
238249.126.208.0/20249.126.208.1 to 249.126.223.254249.126.223.2554,094
239249.126.224.0/20249.126.224.1 to 249.126.239.254249.126.239.2554,094
240249.126.240.0/20249.126.240.1 to 249.126.255.254249.126.255.2554,094
241249.127.0.0/20249.127.0.1 to 249.127.15.254249.127.15.2554,094
242249.127.16.0/20249.127.16.1 to 249.127.31.254249.127.31.2554,094
243249.127.32.0/20249.127.32.1 to 249.127.47.254249.127.47.2554,094
244249.127.48.0/20249.127.48.1 to 249.127.63.254249.127.63.2554,094
245249.127.64.0/20249.127.64.1 to 249.127.79.254249.127.79.2554,094
246249.127.80.0/20249.127.80.1 to 249.127.95.254249.127.95.2554,094
247249.127.96.0/20249.127.96.1 to 249.127.111.254249.127.111.2554,094
248249.127.112.0/20249.127.112.1 to 249.127.127.254249.127.127.2554,094
249249.127.128.0/20249.127.128.1 to 249.127.143.254249.127.143.2554,094
250249.127.144.0/20249.127.144.1 to 249.127.159.254249.127.159.2554,094
251249.127.160.0/20249.127.160.1 to 249.127.175.254249.127.175.2554,094
252249.127.176.0/20249.127.176.1 to 249.127.191.254249.127.191.2554,094
253249.127.192.0/20249.127.192.1 to 249.127.207.254249.127.207.2554,094
254249.127.208.0/20249.127.208.1 to 249.127.223.254249.127.223.2554,094
255249.127.224.0/20249.127.224.1 to 249.127.239.254249.127.239.2554,094
256249.127.240.0/20249.127.240.1 to 249.127.255.254249.127.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses